namespace Baza_Reklam.Classes.Model
{
    public class Module
    {
        private int _id;
        private string _name;
        private decimal _minPrice;
        private decimal _price;
        private decimal? _width;
        private decimal? _height;
        private string _description;
        private Section _section;
        private bool _multiModule;
        private int _maxHorizontal;
        private int _maxVertical;
        private int _marginHorizontal;
        private int _marginVertical;

        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public Section Section
        {
            get { return _section; }
            set { _section = value; }
        }

        public decimal MinPrice
        {
            get { return _minPrice; }
            set { _minPrice = value; }
        }

        public decimal Price
        {
            get { return _price; }
            set { _price = value; }
        }

        public decimal? Width
        {
            get { return _width; }
            set { _width = value; }
        }

        public decimal? Height
        {
            get { return _height; }
            set { _height = value; }
        }

        public string Description
        {
            get { return _description; }
            set { _description = value; }
        }

        public bool MultiModule
        {
            get { return _multiModule; }
            set { _multiModule = value; }
        }

        public int MaxHorizontal
        {
            get { return _maxHorizontal; }
            set { _maxHorizontal = value; }
        }

        public int MaxVertical
        {
            get { return _maxVertical; }
            set { _maxVertical = value; }
        }

        public int MarginHorizontal
        {
            get { return _marginHorizontal; }
            set { _marginHorizontal = value; }
        }

        public int MarginVertical
        {
            get { return _marginVertical; }
            set { _marginVertical = value; }
        }

        public Module(int id, string name)
        {
            _id = id;
            _name = name;
        }

        public Module(int id, string name, decimal? width, decimal? height,  decimal price, decimal minPrice, string description, Section section, bool multiModule)
        {
            _id = id;
            _name = name;
            _width = width;
            _height = height;
            _price = price;
            _minPrice = minPrice;
            _description = description;
            _section = section;
            _multiModule = multiModule;
        }
    }
}